

#define	RATEMD0	0x36
#define U534SPEED	0x0640

/*
 * 8251 USART command instructions
 *
 * SRESET :	disable		transmitter
 *		disable		reciever
 *		enable		return to mode instruction format
 *
 */

#define	SRESET	0x40

/*
 * 8251 USART mode instructions
 *
 * SMODE : usart mode of operaton as follows:
 *	 	16X clock
 *	 	8 data bits
 *	 	No parity
 *		2 stop bits
 *
 */

#define	SMODE	0x4E

/*
 * 8253 structure 
 *
 */

struct PIT {
	int	t_port;			/* timer port */
	int	t_control;		/* timer control port */
	int	t_mode;			/* timer mode */
	int	t_speed;		/* timer speed */
	int	t_block;		/* used to support 534 control block
					 * selection for 534 PIT.
					 * Use 0 to no-op.
					 */
};
